Subject: Re: bug#34526: Updating node.js

From: Daniel Gerber <[email-masked]>
Date: Thu, 21 Feb 2019 18:02:36 +0100

Hi,

2019-02-20, Jelle Licht:
> Daniel Gerber <[email-masked]> writes:
>
>>   [snip]
>> What about statically linking llhttp's C "sources" included in
>> node?   Building v11.10.0 succeeds with this:
>
> You could do this, of course, but afaics this is not acceptable 
> for
> inclusion in Guix proper.
>
> I don't really see any way forward between convincing the fine 
> node
> folks to see the 'error of their ways', or to implement a 
> ABI-compatible
> replacement for llhttp that we can actually bootstrap.

Although I would prefer the convincing-the-fine-node-folks 
solution, here are two more ways to avoid dropping node with the 
EOL of 8.x(LTS) at the end of 2019.

- Remove llhttp and keep only the "legacy" http-parser, or

- Accept to bootstrap it -- I mean use intermediary self-compiling 
  steps, like ccl, golang, java, or haskell do.
The build-time dependencies are: [email-masked] -> llhttp -> ts-node -> 
typescript -> self (typescript), plus quite a few npm packages.
It seems that [email-masked] or 9.x should be a native-input to later 
versions, but I do not know enough of Guile / Guix packaging to do 
it myself anytime soon.